Ruby: struct_108byte Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
struct_108byte Struct Reference

## Data Fields
double | a
double | b
double | c
double | d
double | e
double | f
double | g
double | h
double | i
double | j
double | k
double | l
double | m
int | n

## Detailed Description

Definition at line 15 of file stret_large.c.

## Field Documentation

## ◆ a

double struct_108byte::a

Definition at line 16 of file stret_large.c.

Referenced by cls_struct_108byte_fn(), and main().

## ◆ b

double struct_108byte::b

Definition at line 17 of file stret_large.c.

Referenced by cls_struct_108byte_fn(), and main().

## ◆ c

double struct_108byte::c

Definition at line 18 of file stret_large.c.

Referenced by cls_struct_108byte_fn(), and main().

## ◆ d

double struct_108byte::d

Definition at line 19 of file stret_large.c.

Referenced by cls_struct_108byte_fn(), and main().

## ◆ e

double struct_108byte::e

Definition at line 20 of file stret_large.c.

Referenced by cls_struct_108byte_fn(), and main().

## ◆ f

double struct_108byte::f

Definition at line 21 of file stret_large.c.

Referenced by cls_struct_108byte_fn(), and main().

## ◆ g

double struct_108byte::g

Definition at line 22 of file stret_large.c.

Referenced by cls_struct_108byte_fn(), and main().

## ◆ h

double struct_108byte::h

Definition at line 23 of file stret_large.c.

Referenced by cls_struct_108byte_fn(), and main().

## ◆ i

double struct_108byte::i

Definition at line 24 of file stret_large.c.

Referenced by cls_struct_108byte_fn(), and main().

## ◆ j

double struct_108byte::j

Definition at line 25 of file stret_large.c.

Referenced by cls_struct_108byte_fn(), and main().

## ◆ k

double struct_108byte::k

Definition at line 26 of file stret_large.c.

Referenced by cls_struct_108byte_fn(), and main().

## ◆ l

double struct_108byte::l

Definition at line 27 of file stret_large.c.

Referenced by cls_struct_108byte_fn(), and main().

## ◆ m

double struct_108byte::m

Definition at line 28 of file stret_large.c.

Referenced by cls_struct_108byte_fn(), and main().

## ◆ n

int struct_108byte::n

Definition at line 29 of file stret_large.c.

Referenced by cls_struct_108byte_fn(), and main().

The documentation for this struct was generated from the following file:

- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/stret_large.c